package com.ruoyi.project.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 配置管理对象 trs_siteconfig
 * 
 * @author ruoyi
 * @date 2025-03-19
 */
public class TrsSiteconfig extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 站点名称 */
    @Excel(name = "站点名称")
    private String sitename;

    /** 标识 */
    @Excel(name = "标识")
    private Long record;

    /** 主域名 */
    @Excel(name = "主域名")
    private String domain;

    /** 文件路径 */
    @Excel(name = "文件路径")
    private String filepath;

    /** 信息 */
    @Excel(name = "信息")
    private String msg;

    /** 其他 */
    @Excel(name = "其他")
    private String other;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date starttime;

    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date endtime;

    @Excel(name = "其他")
    private Integer version;

    public Long getRecord() {
        return record;
    }

    public void setRecord(Long record) {
        this.record = record;
    }

    public Date getStarttime() {
        return starttime;
    }

    public void setStarttime(Date starttime) {
        this.starttime = starttime;
    }

    public Date getEndtime() {
        return endtime;
    }

    public void setEndtime(Date endtime) {
        this.endtime = endtime;
    }

    public Integer getVersion() {
        return version;
    }

    public void setVersion(Integer version) {
        this.version = version;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setSitename(String sitename) 
    {
        this.sitename = sitename;
    }

    public String getSitename() 
    {
        return sitename;
    }

    public void setDomain(String domain) 
    {
        this.domain = domain;
    }

    public String getDomain() 
    {
        return domain;
    }

    public void setFilepath(String filepath) 
    {
        this.filepath = filepath;
    }

    public String getFilepath() 
    {
        return filepath;
    }

    public void setMsg(String msg) 
    {
        this.msg = msg;
    }

    public String getMsg() 
    {
        return msg;
    }

    public void setOther(String other) 
    {
        this.other = other;
    }

    public String getOther() 
    {
        return other;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("sitename", getSitename())
            .append("domain", getDomain())
            .append("filepath", getFilepath())
            .append("msg", getMsg())
            .append("other", getOther())
            .toString();
    }
}
